--this is where we setup the menu
--inserting a table inside update will make the game slow down, so dont do it
--use love.load for table insertions

--NOTE: Cannot use Ubuntu font commercially. Will have to change that.

button = {}

function button_spawn(x, y, pic, id)
	table.insert(button, {x = x, y = y, pic = pic, id = id, mouseover = false})
end


function button_draw()
	--this gets called in love.draw()
	for i, v in ipairs(button) do
		--accessing content from button table
		mode = love.graphics.getColorMode()
		if v.mouseover == true then
			--highlight selected button
			love.graphics.setColorMode( "combine" )
			love.graphics.setColor(255,255,255)
			love.graphics.draw(v.pic, v.x - (v.pic:getWidth()/2), v.y)
		end

		if v.mouseover == false then
			--remove highlight from selected button
			love.graphics.setColorMode( "replace" )
			love.graphics.draw(v.pic, v.x - (v.pic:getWidth()/2), v.y)
			
		end
		
	end
end

function button_click(x,y)
	for i,v in ipairs(button) do
		if x > (v.x - (v.pic:getWidth()/2)) and x < (v.x + v.pic:getWidth()/2) and
		   y > v.y and y < (v.y + v.pic:getHeight()) then
			if v.id == "optionpressed" then
				gamestate = "optionmenu"
			end
			if v.id == "exit" then
				--exits the game
				love.event.push("quit")
			end
		end
	end
end

function button_check()
	--this allows us to highlight the selected button
	for i, v in ipairs(button) do
		if mousex > (v.x - (v.pic:getWidth()/2)) and
		mousex < (v.x + v.pic:getWidth()/2) and
		mousey > v.y and mousey < (v.y + v.pic:getHeight()) then
			v.mouseover = true
		else
			v.mouseover = false
		end
	end
end


function menu_load()
	--this gets called in love.load()
	--Buttons for Main Menu
	image2 = love.graphics.newImage("Data/button_options.png")
	image3 = love.graphics.newImage("Data/button_exit.png")
	button_spawn(screen_width/2,screen_height/2, image2, "optionpressed")
	button_spawn(screen_width/2,screen_height/1.5, image3, "exit")
end
