--options menu. This is where the player can set resolution.
--gamestate should be "options" during this menu.

optionbutton = {}

function optionbutton_spawn(x, y, pic, id)
	table.insert(optionbutton, {x = x, y = y, pic = pic, id = id, mouseoveropt=false})
end



function optionbutton_draw()
	--this gets called in love.draw()
	for i, v in ipairs(optionbutton) do
		--accessing content from button table
		if v.mouseoveropt == true then
			--highlight selected button
			love.graphics.setColorMode( "combine" )	--this lets white overtake the button image 
			love.graphics.setColor(255,255,255)
			love.graphics.draw(v.pic, v.x - (v.pic:getWidth()/2), v.y)
		end

		if v.mouseoveropt == false then
			--remove highlight from selected button
			love.graphics.setColorMode( "replace" )
			
			love.graphics.draw(v.pic, v.x - (v.pic:getWidth()/2), v.y)
		end
	end
end

function optionbutton_click(x,y)
--when the player presses the button, this handles what happens
--this gets called in love.mousepressed
	for i,v in ipairs(optionbutton) do
		if x > (v.x - (v.pic:getWidth()/2)) and x < v.x + v.pic:getWidth()/2 and
		   y > v.y and y < v.y + v.pic:getHeight() then
			if v.id == "return" then
				gamestate = "menu"			
			end
			if v.id == "windowed" then
				go_windowed()
			end
			if v.id == "fullscreen" then
				go_fullscreen()
			end
		end
	end
end

function optionbutton_check()
--this gets called in love.update()
	--this allows us to highlight the selected button
	for i, v in ipairs(optionbutton) do
		if mousex > (v.x - (v.pic:getWidth()/2)) and mousex < (v.x + v.pic:getWidth()/2) and
		mousey > v.y and mousey < (v.y + v.pic:getHeight()) then
			v.mouseoveropt = true
		else
			v.mouseoveropt = false
		end
	end
end


function go_fullscreen()
	--sets the game into fullscreen
	love.graphics.toggleFullscreen()
end

function go_windowed()
	--sets the game into windowed mode
	love.graphics.toggleFullscreen()
end

function options_load()
	--Buttons for Option Menu
	option1 = love.graphics.newImage("Data/button_fullscreen.png")
	option2 = love.graphics.newImage("Data/button_windowed.png")
	option3 = love.graphics.newImage("Data/button_return.png")
	optionbutton_spawn(screen_width/2,screen_height/3, option1, "fullscreen")
	optionbutton_spawn(screen_width/2,screen_height/2, option2, "windowed")
	optionbutton_spawn(screen_width/2,screen_height/1.5, option3, "return")
end
